# Visualization
TKService
Image

# Image_Convertor Class Reference

This class is used to convert :
a PseudoColorImage to a ColorImage
a ColorImage to a PseudoColorImage
a PseudoColorImage to a PseudoColorImage with a
different ColorMap.
.

`#include <Image_Convertor.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Image_Convertor ()
| Create a Convertor object with the default DitheringMethod ( DM_NearestColor ). .
Standard_EXPORT void | SetDitheringMethod (const Image_DitheringMethod aMethod)
| Set DitheringMethod. .
Standard_EXPORT Handle_Image_PseudoColorImage | Convert (const Handle(Image_ColorImage)&aColorImage, const Handle(Aspect_ColorMap)&aColorMap) const
| Dither a ColorImage into a PseudoColorImage using the ColorMap parameter. .
Standard_EXPORT Handle_Image_PseudoColorImage | Convert (const Handle(Image_PseudoColorImage)&aPseudoColorImage, const Handle(Aspect_ColorMap)&aColorMap) const
| Dither a PseudoColorImage into a PseudoColorImage using the ColorMap parameter. .
Standard_EXPORT Handle_Image_ColorImage | Convert (const Handle(Image_PseudoColorImage)&aPseudoColorImage) const
| Lookup a PseudoColorImage into a ColorImage using the PseudoColorImage ColorMap. .

## Private Member Functions

Standard_EXPORT Handle_Image_PseudoColorImage | NearestDithering (const Handle(Image_ColorImage)&aColorImage, const Handle(Aspect_ColorMap)&aColorMap) const
Standard_EXPORT Handle_Image_PseudoColorImage | NearestDithering (const Handle(Image_PseudoColorImage)&aPseudoColorImage, const Handle(Aspect_ColorMap)&aColorMap) const
Standard_EXPORT Handle_Image_PseudoColorImage | ErrorDiffusionDithering (const Handle(Image_ColorImage)&aColorImage, const Handle(Aspect_ColorMap)&aColorMap) const
Standard_EXPORT Handle_Image_PseudoColorImage | ErrorDiffusionDithering (const Handle(Image_PseudoColorImage)&aPseudoColorImage, const Handle(Aspect_ColorMap)&aColorMap) const

## Private Attributes

Image_DitheringMethod | myDitheringMethod

## Constructor & Destructor Documentation

Standard_EXPORT Image_Convertor::Image_Convertor | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_Image_ColorImage Image_Convertor::Convert | ( | const Handle(Image_PseudoColorImage)& | aPseudoColorImage | ) | const

Standard_EXPORT Handle_Image_PseudoColorImage Image_Convertor::Convert | ( | const Handle(Image_PseudoColorImage)& | aPseudoColorImage,
|  | const Handle(Aspect_ColorMap)& | aColorMap
| ) | const

Standard_EXPORT Handle_Image_PseudoColorImage Image_Convertor::Convert | ( | const Handle(Image_ColorImage)& | aColorImage,
|  | const Handle(Aspect_ColorMap)& | aColorMap
| ) | const

Standard_EXPORT Handle_Image_PseudoColorImage Image_Convertor::ErrorDiffusionDithering | ( | const Handle(Image_PseudoColorImage)& | aPseudoColorImage,
|  | const Handle(Aspect_ColorMap)& | aColorMap
| ) | const`[private]`

Standard_EXPORT Handle_Image_PseudoColorImage Image_Convertor::ErrorDiffusionDithering | ( | const Handle(Image_ColorImage)& | aColorImage,
|  | const Handle(Aspect_ColorMap)& | aColorMap
| ) | const`[private]`

Standard_EXPORT Handle_Image_PseudoColorImage Image_Convertor::NearestDithering | ( | const Handle(Image_PseudoColorImage)& | aPseudoColorImage,
|  | const Handle(Aspect_ColorMap)& | aColorMap
| ) | const`[private]`

Standard_EXPORT Handle_Image_PseudoColorImage Image_Convertor::NearestDithering | ( | const Handle(Image_ColorImage)& | aColorImage,
|  | const Handle(Aspect_ColorMap)& | aColorMap
| ) | const`[private]`

void Image_Convertor::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Image_Convertor::operator new | ( | size_t | size | ) | `[inline]`

void* Image_Convertor::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void Image_Convertor::SetDitheringMethod | ( | const Image_DitheringMethod | aMethod | ) |

## Field Documentation

Image_DitheringMethod Image_Convertor::myDitheringMethod `[private]`

The documentation for this class was generated from the following file:

- Image_Convertor.hxx